LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
FormController Service Reference

specifies a component controlling the interaction between the user and multiple form controls belonging to a single form. More...

`import"FormController.idl";`

Inheritance diagram for FormController:

## Additional Inherited Members
Exported Interfaces inherited from XFormController
interface | ::com::sun::star::awt::XTabController
| is used for tab controlling and grouping of the controls. More...
interface | ::com::sun::star::container::XChild
| allows access to the parent controller. More...
interface | ::com::sun::star::container::XIndexAccess
| allows access to the sub controllers. More...
interface | ::com::sun::star::container::XEnumerationAccess
| allows enumerating sub controllers More...
interface | ::com::sun::star::lang::XComponent
| allows life time control of the controller. More...
interface | ::com::sun::star::util::XModifyBroadcaster
| allows to register as listener for modifications in the controls which the controller is responsible for. More...
interface | ::com::sun::star::form::XConfirmDeleteBroadcaster
| used to notify deletions of data in the form before they happen. More...
interface | ::com::sun::star::sdb::XSQLErrorBroadcaster
| is used to notify errors which happen in the form the controller is responsible for. More...
interface | ::com::sun::star::sdb::XRowSetApproveBroadcaster
| is used for multiplexing row set events happening on the form which the controller is responsible for. More...
interface | ::com::sun::star::form::XDatabaseParameterBroadcaster2
| is used broadcasting parameter events in the form. More...
interface | ::com::sun::star::util::XModeSelector
| allows switching the form controller to different operation modes. More...
interface | XFilterController
| allows controlling the filter mode. More...
Public Member Functions inherited from XFormController
void | addActivateListener ([in] ::com::sun::star::form::XFormControllerListener Listener)
| adds the specified listener to receive notifications whenever the activation state of the controller changes. More...
void | removeActivateListener ([in] ::com::sun::star::form::XFormControllerListener Listener)
| removes the specified listener from the list of components to receive notifications whenever the activation state of the controller changes. More...
void | addChildController ([in] XFormController ChildController) raises ( ::com::sun::star::lang::IllegalArgumentException )
| adds a controller to the list of child controllers More...
Public Member Functions inherited from XTabController
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model. More...
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model. More...
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container. More...
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container. More...
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container. More...
void | autoTabOrder ()
| enables automatic tab order. More...
void | activateTabOrder ()
| activates tab order. More...
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key. More...
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XConfirmDeleteBroadcaster
void | addConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| remembers the specified listener to receive an event for confirming deletions More...
void | removeConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XSQLErrorBroadcaster
void | addSQLErrorListener ([in]XSQLErrorListener Listener)
| adds the specified listener to receive the event "errorOccurred" More...
void | removeSQLErrorListener ([in]XSQLErrorListener Listener)
| removes the specified listener. More...
Public Member Functions inherited from XRowSetApproveBroadcaster
void | addRowSetApproveListener ([in]XRowSetApproveListener listener)
| adds the specified listener to receive the events "approveCursorMove", "approveRowChange", and "approveRowSetChange". More...
void | removeRowSetApproveListener ([in]XRowSetApproveListener listener)
| removes the specified listener. More...
Public Member Functions inherited from XDatabaseParameterBroadcaster2
void | addDatabaseParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| registers an XDatabaseParameterListener More...
void | removeDatabaseParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| revokes an XDatabaseParameterListener More...
Public Member Functions inherited from XDatabaseParameterBroadcaster
void | addParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| adds the specified listener, to allow it to fill in necessary parameter values. More...
void | removeParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XModeSelector
void | setMode ([in] string aMode) raises ( com::sun::star::lang::NoSupportException )
| sets a new mode for the implementing object. More...
string | getMode ()
sequence< string > | getSupportedModes ()
boolean | supportsMode ([in] string aMode)
| asks whether a mode is supported or not. More...
Public Attributes inherited from XFormController
XFormOperations | FormOperations
| denotes the instance which is used to implement operations on the form which the controller works for. More...
::com::sun::star::awt::XControl | CurrentControl
| provides access to the currently active control More...
XFormControllerContext | Context
| allows to delegate certain tasks to the context of the form controller More...
::com::sun::star::task::XInteractionHandler | InteractionHandler
| used (if not `NULL`) for user interactions triggered by the form controller. More...
Protected Member Functions inherited from XFilterController
void | addFilterControllerListener ([in] XFilterControllerListener Listener)
| registers a listener to be notified of certain changes in the form based filter. More...
void | removeFilterControllerListener ([in] XFilterControllerListener Listener)
| revokes a listener which was previously registered to be notified of certain changes in the form based filter. More...
void | setPredicateExpression ([in] long Component, [in] long Term, [in] string PredicateExpression) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| sets a given predicate expression More...
::com::sun::star::awt::XControl | getFilterComponent ([in] long Component) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the filter component with the given index. More...
sequence< sequence< string > > | getPredicateExpressions ()
| retrieves the entirety of the predicate expressions represented by the filter controller. More...
void | removeDisjunctiveTerm ([in] long Term) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| removes a given disjunctive term More...
void | appendEmptyDisjunctiveTerm ()
| appends an empty disjunctive term to the list of terms. More...
Protected Attributes inherited from XFilterController
long | FilterComponents
| is the number of filter components, or filter controls, which the filter controller is responsible for. More...
long | DisjunctiveTerms
| is the number of disjunctive terms of the filter expression represented by the form based filter. More...
long | ActiveTerm { set raises(::com::sun::star::lang::IndexOutOfBoundsException); }
| denotes the active term of the filter controller. More...

## Detailed Description

specifies a component controlling the interaction between the user and multiple form controls belonging to a single form.

The documentation for this service was generated from the following file:

- com/sun/star/form/runtime/FormController.idl